%define _prefix /usr

Summary: The Open Vulnerability Assessment (OpenVAS) Server
Name:    openvas-plugins
Version: 1.0.7
Release: 1.art
Source0: %{name}-%{version}.tar.gz
#Patch0:  %{name}-1.0.0-Makefile.diff
License: GNU GPLv2
Group: Productivity/Networking/Security
Packager:       Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor:         Atomic Rocket Turtle, http://www.atomicrocketturtle.com
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
AutoReqProv: no
AutoReq: 0


BuildRequires: openvas-server-devel openvas-libraries-devel 
BuildRequires: openvas-libnasl-devel >= 2.0.0
BuildRequires: flex

BuildRequires: %{_includedir}/pcap.h
BuildRequires: libgcrypt-devel gnutls-devel gpgme gpgme-devel

%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
%endif



%description
openvas-plugins adds the acutal vulnerbaility tests to
the Network Vulnerabilty Scanner OpenVAS.

%prep
%setup -b 0
#%patch0

%build
%if 0%{?el4}
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%configure --prefix=%{_prefix}
make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING
#%{_mandir}/man?/*
%{_libdir}/openvas/plugins/*
%{_sbindir}/openvas-nvt-sync

#%{_bindir}/openvas-build
#%{_libdir}/openvas/plugins_factory/*

%changelog
* Mon May 28 2009 Scott R. Shinn <scott@atomicocketturtle.com> - 1.0.7-1
- Update to 1.0.7

* Mon Apr 13 2009 Scott R. Shinn <scott@atomicocketturtle.com> - 1.0.6-1
- Update to 1.0.6

* Fri Dec 12 2008 Scott R. Shinn <scott@atomicocketturtle.com> - 1.0.5-1
- Update to 1.0.5

* Thu Nov 6 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0.4-2
- Update to 1.0.4

* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun removed
* Wed Apr 16 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial OpenSUSE 10.2 spec file, tested for i586
